//
// BetterInput.cpp
//
// LECTURE 8
// DEMO 2
//

#include "StdAfx.h"

#include <iostream>

#include <string>

using namespace std; //introduces namespace std

void ReadData(int &anInt)
{
  // The maximum signed int is in the 2,000,000,000 range.  That's 
  // 10 digits plus the possibility of a leading minus sign.  So, we
  // should be prepared to read in 11 characters (add one char for the
  // terminating null byte 
  char intStr[12];
  
  // Read in data as a c style string.  This means that the trailing
  // newline will not be left in the cin stream buffer
  cin.getline(intStr,11);

  // atoi() is a C standard library function which takes a c string
  // as an argument and returns the integer value of the number represented
  // in the string.  
  anInt = atoi(intStr);
}

void ReadData(string &aStr)
{
  // We should really take the max size as a parameter, but for the 
  // simple example here, we'll just limit it to 80 characters (plus
  // one for the null byte)
  char cstring[81];
  
  // Read data into a c style string.  
  cin.getline(cstring,80);
  
  // The C++ string class knows how to assign from a C style string
  aStr = cstring;
}

 
// Let's test it out... 
int main ( void )
{
  int k;
  string str;
  
  cout << "Enter a number> ";
  ReadData(k);
  cout << "Enter a string> ";
  ReadData(str);
  cout << "number is : " << k << ", and string is: " << str << endl;
}